<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Player (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Player (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6,"i24":6,"i25":6,"i26":6,"i27":6,"i28":6,"i29":6,"i30":6,"i31":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/entity/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.entity</div>
<h2 title="Interface Player" class="title">Interface Player</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a>, <a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>, <a href="../../../../com/sk89q/worldedit/util/Faceted.html" title="interface in com.sk89q.worldedit.util">Faceted</a>, <a href="../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a>, <a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a>, <a href="../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../com/sk89q/worldedit/extension/platform/AbstractPlayerActor.html" title="class in com.sk89q.worldedit.extension.platform">AbstractPlayerActor</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">Player</span>
extends <a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></pre>
<div class="block">Represents a player</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#ascendLevel--">ascendLevel</a></span>()</code>
<div class="block">Go up one level to the next free space above.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#ascendToCeiling-int-">ascendToCeiling</a></span>(int&nbsp;clearance)</code>
<div class="block">Ascend to the ceiling above.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#ascendToCeiling-int-boolean-">ascendToCeiling</a></span>(int&nbsp;clearance,
               boolean&nbsp;alwaysGlass)</code>
<div class="block">Ascend to the ceiling above.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#ascendUpwards-int-">ascendUpwards</a></span>(int&nbsp;distance)</code>
<div class="block">Just go up.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#ascendUpwards-int-boolean-">ascendUpwards</a></span>(int&nbsp;distance,
             boolean&nbsp;alwaysGlass)</code>
<div class="block">Just go up.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#descendLevel--">descendLevel</a></span>()</code>
<div class="block">Go up one level to the next free space above.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#findFreePosition--">findFreePosition</a></span>()</code>
<div class="block">Find a position for the player to stand that is not inside a block.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#findFreePosition-com.sk89q.worldedit.util.Location-">findFreePosition</a></span>(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</code>
<div class="block">Find a position for the actor to stand that is not inside a block.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#floatAt-int-int-int-boolean-">floatAt</a></span>(int&nbsp;x,
       int&nbsp;y,
       int&nbsp;z,
       boolean&nbsp;alwaysGlass)</code>
<div class="block">Make the player float in the given blocks.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockIn--">getBlockIn</a></span>()</code>
<div class="block">Get the point of the block that is being stood in.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockInHand-com.sk89q.worldedit.util.HandSide-">getBlockInHand</a></span>(<a href="../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a>&nbsp;handSide)</code>
<div class="block">Get the Block that the player is holding.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockOn--">getBlockOn</a></span>()</code>
<div class="block">Get the point of the block that is being stood upon.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-">getBlockTrace</a></span>(int&nbsp;range)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-boolean-">getBlockTrace</a></span>(int&nbsp;range,
             boolean&nbsp;useLastBlock)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockTrace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">getBlockTrace</a></span>(int&nbsp;range,
             boolean&nbsp;useLastBlock,
             <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockTraceFace-int-boolean-">getBlockTraceFace</a></span>(int&nbsp;range,
                 boolean&nbsp;useLastBlock)</code>
<div class="block">Get the face that the player is looking at.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getBlockTraceFace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">getBlockTraceFace</a></span>(int&nbsp;range,
                 boolean&nbsp;useLastBlock,
                 <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</code>
<div class="block">Get the face that the player is looking at.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getCardinalDirection--">getCardinalDirection</a></span>()</code>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.).</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getCardinalDirection-int-">getCardinalDirection</a></span>(int&nbsp;yawOffset)</code>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.) with an offset.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getGameMode--">getGameMode</a></span>()</code>
<div class="block">Return this actor's game mode.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getInventoryBlockBag--">getInventoryBlockBag</a></span>()</code>
<div class="block">Get this actor's block bag.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getItemInHand-com.sk89q.worldedit.util.HandSide-">getItemInHand</a></span>(<a href="../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a>&nbsp;handSide)</code>
<div class="block">Get the item that the player is holding.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getSolidBlockTrace-int-">getSolidBlockTrace</a></span>(int&nbsp;range)</code>
<div class="block">Get the point of the block being looked at.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#getWorld--">getWorld</a></span>()</code>
<div class="block">Return the world that the player is on.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#giveItem-com.sk89q.worldedit.blocks.BaseItemStack-">giveItem</a></span>(<a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;itemStack)</code>
<div class="block">Gives the player an item.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#isHoldingPickAxe--">isHoldingPickAxe</a></span>()</code>
<div class="block">Returns true if the entity is holding a pick axe.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#passThroughForwardWall-int-">passThroughForwardWall</a></span>(int&nbsp;range)</code>
<div class="block">Pass through the wall that you are looking at.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-B-">sendFakeBlock</a></span>(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos,
             B&nbsp;block)</code>
<div class="block">Sends a fake block to the client.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#setGameMode-com.sk89q.worldedit.world.gamemode.GameMode-">setGameMode</a></span>(<a href="../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a>&nbsp;gameMode)</code>
<div class="block">Sets the player to the given game mode.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#setOnGround-com.sk89q.worldedit.util.Location-">setOnGround</a></span>(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</code>
<div class="block">Set the actor on the ground.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#setPosition-com.sk89q.worldedit.math.Vector3-">setPosition</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos)</code>
<div class="block">Move the player.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../com/sk89q/worldedit/entity/Player.html#setPosition-com.sk89q.worldedit.math.Vector3-float-float-">setPosition</a></span>(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos,
           float&nbsp;pitch,
           float&nbsp;yaw)</code>
<div class="block">Move the player.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.entity.Entity">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.entity.<a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity">Entity</a></h3>
<code><a href="../../../../com/sk89q/worldedit/entity/Entity.html#getExtent--">getExtent</a>, <a href="../../../../com/sk89q/worldedit/entity/Entity.html#getLocation--">getLocation</a>, <a href="../../../../com/sk89q/worldedit/entity/Entity.html#getState--">getState</a>, <a href="../../../../com/sk89q/worldedit/entity/Entity.html#remove--">remove</a>, <a href="../../../../com/sk89q/worldedit/entity/Entity.html#setLocation-com.sk89q.worldedit.util.Location-">setLocation</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.Faceted">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.<a href="../../../../com/sk89q/worldedit/util/Faceted.html" title="interface in com.sk89q.worldedit.util">Faceted</a></h3>
<code><a href="../../../../com/sk89q/worldedit/util/Faceted.html#getFacet-java.lang.Class-">getFacet</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extension.platform.Actor">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.extension.platform.<a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html" title="interface in com.sk89q.worldedit.extension.platform">Actor</a></h3>
<code><a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#canDestroyBedrock--">canDestroyBedrock</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#dispatchCUIEvent-com.sk89q.worldedit.internal.cui.CUIEvent-">dispatchCUIEvent</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#getDisplayName--">getDisplayName</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#getName--">getName</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#isPlayer--">isPlayer</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileOpenDialog-java.lang.String:A-">openFileOpenDialog</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#openFileSaveDialog-java.lang.String:A-">openFileSaveDialog</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#print-com.sk89q.worldedit.util.formatting.text.Component-">print</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#print-java.lang.String-">print</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#printDebug-java.lang.String-">printDebug</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#printError-java.lang.String-">printError</a>, <a href="../../../../com/sk89q/worldedit/extension/platform/Actor.html#printRaw-java.lang.String-">printRaw</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.Identifiable">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.<a href="../../../../com/sk89q/worldedit/util/Identifiable.html" title="interface in com.sk89q.worldedit.util">Identifiable</a></h3>
<code><a href="../../../../com/sk89q/worldedit/util/Identifiable.html#getUniqueId--">getUniqueId</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.session.SessionOwner">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.session.<a href="../../../../com/sk89q/worldedit/session/SessionOwner.html" title="interface in com.sk89q.worldedit.session">SessionOwner</a></h3>
<code><a href="../../../../com/sk89q/worldedit/session/SessionOwner.html#getSessionKey--">getSessionKey</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.util.auth.Subject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;com.sk89q.worldedit.util.auth.<a href="../../../../com/sk89q/worldedit/util/auth/Subject.html" title="interface in com.sk89q.worldedit.util.auth">Subject</a></h3>
<code><a href="../../../../com/sk89q/worldedit/util/auth/Subject.html#checkPermission-java.lang.String-">checkPermission</a>, <a href="../../../../com/sk89q/worldedit/util/auth/Subject.html#getGroups--">getGroups</a>, <a href="../../../../com/sk89q/worldedit/util/auth/Subject.html#hasPermission-java.lang.String-">hasPermission</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorld</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getWorld()</pre>
<div class="block">Return the world that the player is on.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the world</dd>
</dl>
</li>
</ul>
<a name="isHoldingPickAxe--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isHoldingPickAxe</h4>
<pre>boolean&nbsp;isHoldingPickAxe()</pre>
<div class="block">Returns true if the entity is holding a pick axe.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether a pick axe is held</dd>
</dl>
</li>
</ul>
<a name="getCardinalDirection-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCardinalDirection</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;getCardinalDirection(int&nbsp;yawOffset)</pre>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.) with an offset. May return null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>yawOffset</code> - offset that is added to the player's yaw before determining the cardinal direction</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the direction</dd>
</dl>
</li>
</ul>
<a name="getItemInHand-com.sk89q.worldedit.util.HandSide-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getItemInHand</h4>
<pre><a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;getItemInHand(<a href="../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a>&nbsp;handSide)</pre>
<div class="block">Get the item that the player is holding.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the item the player is holding</dd>
</dl>
</li>
</ul>
<a name="getBlockInHand-com.sk89q.worldedit.util.HandSide-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockInHand</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/block/BaseBlock.html" title="class in com.sk89q.worldedit.world.block">BaseBlock</a>&nbsp;getBlockInHand(<a href="../../../../com/sk89q/worldedit/util/HandSide.html" title="enum in com.sk89q.worldedit.util">HandSide</a>&nbsp;handSide)
                  throws <a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block">Get the Block that the player is holding.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the item id of the item the player is holding</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code></dd>
</dl>
</li>
</ul>
<a name="giveItem-com.sk89q.worldedit.blocks.BaseItemStack-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>giveItem</h4>
<pre>void&nbsp;giveItem(<a href="../../../../com/sk89q/worldedit/blocks/BaseItemStack.html" title="class in com.sk89q.worldedit.blocks">BaseItemStack</a>&nbsp;itemStack)</pre>
<div class="block">Gives the player an item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>itemStack</code> - The item to give</dd>
</dl>
</li>
</ul>
<a name="getInventoryBlockBag--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInventoryBlockBag</h4>
<pre><a href="../../../../com/sk89q/worldedit/extent/inventory/BlockBag.html" title="class in com.sk89q.worldedit.extent.inventory">BlockBag</a>&nbsp;getInventoryBlockBag()</pre>
<div class="block">Get this actor's block bag.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the actor's block bag</dd>
</dl>
</li>
</ul>
<a name="getGameMode--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getGameMode</h4>
<pre><a href="../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a>&nbsp;getGameMode()</pre>
<div class="block">Return this actor's game mode.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the game mode</dd>
</dl>
</li>
</ul>
<a name="setGameMode-com.sk89q.worldedit.world.gamemode.GameMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setGameMode</h4>
<pre>void&nbsp;setGameMode(<a href="../../../../com/sk89q/worldedit/world/gamemode/GameMode.html" title="class in com.sk89q.worldedit.world.gamemode">GameMode</a>&nbsp;gameMode)</pre>
<div class="block">Sets the player to the given game mode.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>gameMode</code> - The game mode</dd>
</dl>
</li>
</ul>
<a name="findFreePosition-com.sk89q.worldedit.util.Location-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findFreePosition</h4>
<pre>void&nbsp;findFreePosition(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</pre>
<div class="block">Find a position for the actor to stand that is not inside a block.
 Blocks above the player will be iteratively tested until there is
 a series of two free blocks. The actor will be teleported to
 that free position.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchPos</code> - search position</dd>
</dl>
</li>
</ul>
<a name="setOnGround-com.sk89q.worldedit.util.Location-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setOnGround</h4>
<pre>void&nbsp;setOnGround(<a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;searchPos)</pre>
<div class="block">Set the actor on the ground.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>searchPos</code> - The location to start searching from</dd>
</dl>
</li>
</ul>
<a name="findFreePosition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>findFreePosition</h4>
<pre>void&nbsp;findFreePosition()</pre>
<div class="block">Find a position for the player to stand that is not inside a block.
 Blocks above the player will be iteratively tested until there is
 a series of two free blocks. The player will be teleported to
 that free position.</div>
</li>
</ul>
<a name="ascendLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendLevel</h4>
<pre>boolean&nbsp;ascendLevel()</pre>
<div class="block">Go up one level to the next free space above.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a spot was found</dd>
</dl>
</li>
</ul>
<a name="descendLevel--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>descendLevel</h4>
<pre>boolean&nbsp;descendLevel()</pre>
<div class="block">Go up one level to the next free space above.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a spot was found</dd>
</dl>
</li>
</ul>
<a name="ascendToCeiling-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendToCeiling</h4>
<pre>boolean&nbsp;ascendToCeiling(int&nbsp;clearance)</pre>
<div class="block">Ascend to the ceiling above.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clearance</code> - How many blocks to leave above the player's head</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="ascendToCeiling-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendToCeiling</h4>
<pre>boolean&nbsp;ascendToCeiling(int&nbsp;clearance,
                        boolean&nbsp;alwaysGlass)</pre>
<div class="block">Ascend to the ceiling above.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>clearance</code> - How many blocks to leave above the player's head</dd>
<dd><code>alwaysGlass</code> - Always put glass under the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="ascendUpwards-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendUpwards</h4>
<pre>boolean&nbsp;ascendUpwards(int&nbsp;distance)</pre>
<div class="block">Just go up.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>distance</code> - How far up to teleport</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="ascendUpwards-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ascendUpwards</h4>
<pre>boolean&nbsp;ascendUpwards(int&nbsp;distance,
                      boolean&nbsp;alwaysGlass)</pre>
<div class="block">Just go up.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>distance</code> - How far up to teleport</dd>
<dd><code>alwaysGlass</code> - Always put glass under the player</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was moved</dd>
</dl>
</li>
</ul>
<a name="floatAt-int-int-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>floatAt</h4>
<pre>void&nbsp;floatAt(int&nbsp;x,
             int&nbsp;y,
             int&nbsp;z,
             boolean&nbsp;alwaysGlass)</pre>
<div class="block">Make the player float in the given blocks.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - The X coordinate of the block to float in</dd>
<dd><code>y</code> - The Y coordinate of the block to float in</dd>
<dd><code>z</code> - The Z coordinate of the block to float in</dd>
</dl>
</li>
</ul>
<a name="getBlockIn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockIn</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockIn()</pre>
<div class="block">Get the point of the block that is being stood in.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockOn--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockOn</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockOn()</pre>
<div class="block">Get the point of the block that is being stood upon.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockTrace-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTrace</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTrace(int&nbsp;range,
                       boolean&nbsp;useLastBlock)</pre>
<div class="block">Get the point of the block being looked at. May return null.
 Will return the farthest away air block if useLastBlock is true and no other block is found.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - how far to checks for blocks</dd>
<dd><code>useLastBlock</code> - try to return the last valid air block found</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockTrace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTrace</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTrace(int&nbsp;range,
                       boolean&nbsp;useLastBlock,
                       @Nullable
                       <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</pre>
<div class="block">Get the point of the block being looked at. May return null.
 Will return the farthest away block before matching the stop mask if useLastBlock is true and no other block is found.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - how far to checks for blocks</dd>
<dd><code>useLastBlock</code> - try to return the last valid block not matching the stop mask found</dd>
<dd><code>stopMask</code> - the mask used to determine when to stop tracing</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getBlockTraceFace-int-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTraceFace</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTraceFace(int&nbsp;range,
                           boolean&nbsp;useLastBlock)</pre>
<div class="block">Get the face that the player is looking at.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the range</dd>
<dd><code>useLastBlock</code> - try to return the last valid air block found</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a face</dd>
</dl>
</li>
</ul>
<a name="getBlockTraceFace-int-boolean-com.sk89q.worldedit.function.mask.Mask-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTraceFace</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTraceFace(int&nbsp;range,
                           boolean&nbsp;useLastBlock,
                           @Nullable
                           <a href="../../../../com/sk89q/worldedit/function/mask/Mask.html" title="interface in com.sk89q.worldedit.function.mask">Mask</a>&nbsp;stopMask)</pre>
<div class="block">Get the face that the player is looking at.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - the range</dd>
<dd><code>useLastBlock</code> - try to return the last valid block not matching the stop mask found</dd>
<dd><code>stopMask</code> - the mask used to determine when to stop tracing</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a face</dd>
</dl>
</li>
</ul>
<a name="getBlockTrace-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBlockTrace</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getBlockTrace(int&nbsp;range)</pre>
<div class="block">Get the point of the block being looked at. May return null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - How far to checks for blocks</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getSolidBlockTrace-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSolidBlockTrace</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Location.html" title="class in com.sk89q.worldedit.util">Location</a>&nbsp;getSolidBlockTrace(int&nbsp;range)</pre>
<div class="block">Get the point of the block being looked at. May return null.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - How far to checks for blocks</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>point</dd>
</dl>
</li>
</ul>
<a name="getCardinalDirection--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCardinalDirection</h4>
<pre><a href="../../../../com/sk89q/worldedit/util/Direction.html" title="enum in com.sk89q.worldedit.util">Direction</a>&nbsp;getCardinalDirection()</pre>
<div class="block">Get the player's cardinal direction (N, W, NW, etc.). May return null.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the direction</dd>
</dl>
</li>
</ul>
<a name="passThroughForwardWall-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>passThroughForwardWall</h4>
<pre>boolean&nbsp;passThroughForwardWall(int&nbsp;range)</pre>
<div class="block">Pass through the wall that you are looking at.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>range</code> - How far to checks for blocks</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>whether the player was pass through</dd>
</dl>
</li>
</ul>
<a name="setPosition-com.sk89q.worldedit.math.Vector3-float-float-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>void&nbsp;setPosition(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos,
                 float&nbsp;pitch,
                 float&nbsp;yaw)</pre>
<div class="block">Move the player.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - where to move them</dd>
<dd><code>pitch</code> - the pitch (up/down) of the player's view in degrees</dd>
<dd><code>yaw</code> - the yaw (left/right) of the player's view in degrees</dd>
</dl>
</li>
</ul>
<a name="setPosition-com.sk89q.worldedit.math.Vector3-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPosition</h4>
<pre>void&nbsp;setPosition(<a href="../../../../com/sk89q/worldedit/math/Vector3.html" title="class in com.sk89q.worldedit.math">Vector3</a>&nbsp;pos)</pre>
<div class="block">Move the player.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - where to move them</dd>
</dl>
</li>
</ul>
<a name="sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="sendFakeBlock-com.sk89q.worldedit.math.BlockVector3-B-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sendFakeBlock</h4>
<pre>&lt;B extends <a href="../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;void&nbsp;sendFakeBlock(<a href="../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;pos,
                                                   @Nullable
                                                   B&nbsp;block)</pre>
<div class="block">Sends a fake block to the client.

 <p>
     This block isn't real.
 </p></div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>pos</code> - The position of the block</dd>
<dd><code>block</code> - The block to send, null to reset</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../com/sk89q/worldedit/entity/Entity.html" title="interface in com.sk89q.worldedit.entity"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?com/sk89q/worldedit/entity/Player.html" target="_top">Frames</a></li>
<li><a href="Player.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
